Bug 176893 - rhgb doesn't find header files correctly.
rhgb doesn't find header files correctly.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: mbt3blocker
  Show dependency treegraph
 
Reported: 2006-01-03 21:05 EST by Jesse Keating
Modified: 2013-01-09 21:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 19:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build failure log (63.46 KB, text/plain)
2006-01-03 21:05 EST, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2006-01-03 21:05:21 EST
rhgb needs various headers, specificly some from libxf86config-devel, but the
pkgconfig isn't finding them right.  From mike:

The libxf86config-devel is a virtual provide which is currently located in the
xorg-x11-server-sdk
package.

The installation, installs the headers into the SDK directory, which
probably isn't the best or most correct location in the world, but it
does install them now in the latest xorg-x11-server package build.

Upgrade to the latest xorg-x11-server-sdk package, and you'll find
the headers in "sdkdir" which is a pkg-config queryable variable.

I have manually confirmed that these files are present after I did
the build, so if any package is not finding them, please adjust the
build scripts to search in sdkdir for the time being.
-endquote-

This package needs to be fixed and built before the FC5Test2 freeze.  Please see
attached build failure log.
Comment 1 Jesse Keating 2006-01-03 21:05:23 EST
Created attachment 122747 [details]
build failure log

Note You need to log in before you can comment on or make changes to this bug.